@charset "utf-8";

:root { --swiper-theme-color: #007aff; }

:host { position: relative; display: block; margin-left: auto; margin-right: auto; z-index: 1; }

.swiper { margin-left: auto; margin-right: auto; position: relative; overflow: hidden; list-style: none; padding: 0px; z-index: 1; display: block; }

.swiper-vertical > .swiper-wrapper { flex-direction: column; }

.swiper-wrapper { position: relative; width: 100%; height: 100%; z-index: 1; display: flex; transition-property: transform; transition-timing-function: var(--swiper-wrapper-transition-timing-function, initial); box-sizing: content-box; }

.swiper-android .swiper-slide, .swiper-ios .swiper-slide, .swiper-wrapper { transform: translateZ(0px); }

.swiper-horizontal { touch-action: pan-y; }

.swiper-vertical { touch-action: pan-x; }

.swiper-slide { flex-shrink: 0; width: 100%; height: 100%; position: relative; transition-property: transform; display: block; }

.swiper-slide-invisible-blank { visibility: hidden; }

.swiper-autoheight, .swiper-autoheight .swiper-slide { height: auto; }

.swiper-autoheight .swiper-wrapper { align-items: flex-start; transition-property: transform, height; }

.swiper-backface-hidden .swiper-slide { transform: translateZ(0px); backface-visibility: hidden; }

.swiper-3d.swiper-css-mode .swiper-wrapper { perspective: 32rem; }

.swiper-3d .swiper-wrapper { transform-style: preserve-3d; }

.swiper-3d { perspective: 32rem; }

.swiper-3d .swiper-slide, .swiper-3d .swiper-cube-shadow { transform-style: preserve-3d; }

.swiper-css-mode > .swiper-wrapper { overflow: auto; scrollbar-width: none; }

.swiper-css-mode > .swiper-wrapper::-webkit-scrollbar { display: none; }

.swiper-css-mode > .swiper-wrapper > .swiper-slide { scroll-snap-align: start; }

.swiper-css-mode.swiper-horizontal > .swiper-wrapper { scroll-snap-type: x mandatory; }

.swiper-css-mode.swiper-vertical > .swiper-wrapper { scroll-snap-type: y mandatory; }

.swiper-css-mode.swiper-free-mode > .swiper-wrapper { scroll-snap-type: none; }

.swiper-css-mode.swiper-free-mode > .swiper-wrapper > .swiper-slide { scroll-snap-align: none; }

.swiper-css-mode.swiper-centered > .swiper-wrapper::before { content: ""; flex-shrink: 0; order: 9999; }

.swiper-css-mode.swiper-centered > .swiper-wrapper > .swiper-slide { scroll-snap-align: center; scroll-snap-stop: always; }

.swiper-css-mode.swiper-centered.swiper-horizontal > .swiper-wrapper > .swiper-slide:first-child { margin-inline-start: var(--swiper-centered-offset-before); }

.swiper-css-mode.swiper-centered.swiper-horizontal > .swiper-wrapper::before { height: 100%; min-height: 0.02667rem; width: var(--swiper-centered-offset-after); }

.swiper-css-mode.swiper-centered.swiper-vertical > .swiper-wrapper > .swiper-slide:first-child { margin-block-start: var(--swiper-centered-offset-before); }

.swiper-css-mode.swiper-centered.swiper-vertical > .swiper-wrapper::before { width: 100%; min-width: 0.02667rem; height: var(--swiper-centered-offset-after); }

.swiper-3d .swiper-slide-shadow, .swiper-3d .swiper-slide-shadow-left, .swiper-3d .swiper-slide-shadow-right, .swiper-3d .swiper-slide-shadow-top, .swiper-3d .swiper-slide-shadow-bottom { position: absolute; left: 0px; top: 0px; width: 100%; height: 100%; pointer-events: none; z-index: 10; }

.swiper-3d .swiper-slide-shadow { background: rgba(0, 0, 0, 0.15); }

.swiper-3d .swiper-slide-shadow-left { background-image: linear-gradient(to left, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0)); }

.swiper-3d .swiper-slide-shadow-right { background-image: linear-gradient(to right, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0)); }

.swiper-3d .swiper-slide-shadow-top { background-image: linear-gradient(to top, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0)); }

.swiper-3d .swiper-slide-shadow-bottom { background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0)); }

.swiper-lazy-preloader { width: 1.12rem; height: 1.12rem; position: absolute; left: 50%; top: 50%; margin-left: -0.56rem; margin-top: -0.56rem; z-index: 10; transform-origin: 50% center; box-sizing: border-box; border-top-style: ; border-top-width: ; border-right-color: ; border-right-style: ; border-right-width: ; border-bottom-color: ; border-bottom-style: ; border-bottom-width: ; border-left-color: ; border-left-style: ; border-left-width: ; border-image-source: ; border-image-slice: ; border-image-width: ; border-image-outset: ; border-image-repeat: ; border-radius: 50%; border-top-color: transparent; }

.swiper:not(.swiper-watch-progress) .swiper-lazy-preloader, .swiper-watch-progress .swiper-slide-visible .swiper-lazy-preloader { animation: 1s linear 0s infinite normal none running swiper-preloader-spin; }

.swiper-lazy-preloader-white { --swiper-preloader-color: #fff; }

.swiper-lazy-preloader-black { --swiper-preloader-color: #000; }

@keyframes swiper-preloader-spin { 
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}